# Record Class CAServerIdstoreConfiguration

java.lang.Object
java.lang.Record
com.io7m.cardant.server.api.CAServerIdstoreConfiguration

Record Components:
  `baseURI` - The server base URI
  `passwordResetURI` - The password reset URI

public record CAServerIdstoreConfiguration(URI baseURI, URI passwordResetURI) extends Record
Configuration information for `idstore`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAServerIdstoreConfiguration(URI baseURI, URI passwordResetURI)`
  Configuration information for `idstore`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `baseURI()`
  Returns the value of the `baseURI` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `URI`
  `passwordResetURI()`
  Returns the value of the `passwordResetURI` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAServerIdstoreConfiguration

    public CAServerIdstoreConfiguration(URI baseURI, URI passwordResetURI)
    Configuration information for `idstore`.
    Parameters:
      `baseURI` - The server base URI
      `passwordResetURI` - The password reset URI

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### baseURI

    public URI baseURI()
    Returns the value of the `baseURI` record component.
    Returns:
      the value of the `baseURI` record component

  - ### passwordResetURI

    public URI passwordResetURI()
    Returns the value of the `passwordResetURI` record component.
    Returns:
      the value of the `passwordResetURI` record component